<%@ page language="java" %>
<%@ page import="com.ibm.ejs.sm.web.common.*, com.ibm.ejs.security.SecurityContext" errorPage="error.jsp" %>
<%@ taglib uri="/WEB-INF/ibm_logic.tld" prefix="ibm_logic" %>
<%@ taglib uri="/WEB-INF/struts.tld" prefix="struts" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>

<% String configFile = request.getParameter("configFile"); 
if (configFile == null || configFile.equals("")) {
    configFile = (String)session.getAttribute("configFile");
} else {
    session.setAttribute("configFile", configFile);
}%>

<% if ( session.getAttribute("user") != null || SecurityContext.isSecurityEnabled() )
      ((HttpServletResponse)pageContext.getResponse()).sendRedirect("logon.do");
%>

<jsp:useBean id="logonForm" scope="session" class="com.ibm.ejs.sm.web.common.LogonForm"/>
<jsp:setProperty name="logonForm" property="configFile" value="<%= configFile %>" />

<app:detectLocale/>

<html>
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=*">
<META HTTP-EQUIV="Expires" CONTENT="0">
<title><struts:message key="login.title"/></title>
<script language="JavaScript" src="scripts/menu_functions.js"></script>
<script language="JavaScript">
if (isNav4) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
if (isIE) {
if (isDom) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
else {
document.write("<link rel='stylesheet' href='css/was_style.css'>")
}
}
if (top.location.href != location.href)
top.location.href = location.href;
</script>
</head>

<body  leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<span class="information"><ibm_logic:errors/></span>

<div class="was2"><struts:message key="was.title"/></div>
<div class="was1"><struts:message key="was.title"/></div>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="login-document-background">
  <tr>
    <td><img src="images/large-bannermiddle.gif" width="250" height="53" alt="<struts:message key='WebSphere.Application.Server'/>"></td>
    <td align="right"><img src="images/large-banneribm.gif" width="96" height="53" alt="IBM"></td>
  </tr>
</table>

<div class="login-table">
  <struts:form action="secure/logon.do" name="logonForm" focus="username"
type="com.ibm.ejs.sm.web.common.LogonForm">

    <span CLASS="login-problem-text">

    <struts:ifAttributeMissing name="org.apache.struts.action.MESSAGE" scope="application">
      Application resources not loaded -- check servlet container logs for error messages.
      <BR>
    </struts:ifAttributeMissing>

    </span>

       <table border=0 cellpadding=5 cellspacing=0 width="300" summary="Login Table">
                    <tr>
                        <th colspan="2" class="column-head" ID="header1"><struts:message key="login.header"/></th>
                    </tr>
                    <tr >
                        <td valign=top width="33%" class="table-text" header="header1"nowrap>
                           <label for="name"><struts:message key="prompt.username"/></label>
                        </td>
                        <td valign=top class="table-text" header="header1">
                            <struts:text property="username" size="15" maxlength="15" />
                        </td>
                    </tr>

                    <tr>
                        <td valign=top width="33%" class="table-text" header="header1" nowrap>&nbsp;</td>
                        <td valign=top class="table-text" header="header1">
                            <input TYPE="submit" name="action" class="buttons" VALUE=<struts:message key="button.submit"/>>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2" class="table-text" header="header1"><struts:message key="login.footer"/></td>
                    </tr>
                </table>

         <struts:hidden property="password" value="junk"/>
         
    </struts:form>

</DIV>

<table border=0 cellpadding=0 cellspacing=0 width="100%" height="100%">
  <tr align="right"  >
    <td class="login-image-background" >
    <img src="images/login.jpg" width="600" height="600" alt="<struts:message key='WebSphere.background.image'/>"> </td>
  </tr>
</table>
</body>
</html>
