@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 

@echo off
rem The following line says to do the following setup local
setlocal

rem The following .bat file will set up environmental variables such as WAS_HOME, JAVA_HOME, COMPUTERNAME...
call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

rem The following command sets up locations to the library files, server root location and runs the WASPostUpgrade command
%JAVA_HOME%\bin\java.exe %CONSOLE_ENCODING% %JAVA_FLAGS% -Dws.ext.dirs=%WAS_EXT_DIRS% -classpath %WAS_CLASSPATH% -Dcom.ibm.websphere.migration.serverRoot=%WAS_HOME% com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.migration.postupgrade.WASPostUpgrade %*
endlocal
